Subject: Re: linux-next: manual merge of the m68knommu tree with the tree

From: Greg Ungerer <[email-masked]>
Date: Thu, 18 Oct 2012 20:01:39 +1000

Hi Geert,

On 10/18/2012 03:51 PM, Geert Uytterhoeven wrote:
> Hi Greg,
>
> On Thu, Oct 18, 2012 at 5:34 AM, Greg Ungerer <[email-masked]> wrote:
>> On 18/10/12 09:38, Stephen Rothwell wrote:
>>>
>>> [Just cc'ing Geert]
>>>
>>> On Thu, 18 Oct 2012 10:37:13 +1100 Stephen Rothwell <[email-masked]>
>>> wrote:
>>>>
>>>>
>>>> Hi Greg,
>>>>
>>>> Today's linux-next merge of the m68knommu tree got conflicts in
>>>> arch/m68k/include/asm/termios.h, arch/m68k/include/uapi/asm/auxvec.h,
>>>> arch/m68k/include/uapi/asm/msgbuf.h, arch/m68k/include/uapi/asm/sembuf.h,
>>>> arch/m68k/include/uapi/asm/shmbuf.h, arch/m68k/include/uapi/asm/socket.h,
>>>> arch/m68k/include/uapi/asm/sockios.h and
>>>> arch/m68k/include/uapi/asm/termbits.h between commit 10b3a979347d ("UAPI:
>>>> (Scripted) Disintegrate arch/m68k/include/asm") from the m68k-current
>>>> tree and various commits from the m68knommu tree that use the asm-generic
>>>> versions.
>>>>
>>>> I just deleted all those files and added the following merge fix patch
>>>> and can carry the fix as necessary.
>>>>
>>>> I think that this is the correct thing to do ...
>>
>>
>> I think that is right. Thanks.
>
> I still have to do a proper review of your changes (I noticed a few
> things I have
> to double-check). After that, I guess it's easiest if I take your
> patch, updated for
> the UAPI disintegration?

Sure. My patches are based on 3.7-rc1. I am not sure if David's changes
are going upstream in a future rc, or are for 3.8.

Regards
Greg

>>>> From: Stephen Rothwell <[email-masked]>
>>>> Date: Thu, 18 Oct 2012 10:32:20 +1100
>>>> Subject: [PATCH] m68k: fix up for UAPI changes
>>>>
>>>> Signed-off-by: Stephen Rothwell <[email-masked]>
>>>> ---
>>>>    arch/m68k/include/uapi/asm/Kbuild |    8 --------
>>>>    1 file changed, 8 deletions(-)
>>>>
>>>> diff --git a/arch/m68k/include/uapi/asm/Kbuild
>>>> b/arch/m68k/include/uapi/asm/Kbuild
>>>> index 972bce1..aebdbf5 100644
>>>> --- a/arch/m68k/include/uapi/asm/Kbuild
>>>> +++ b/arch/m68k/include/uapi/asm/Kbuild
>>>> @@ -2,25 +2,17 @@
>>>>    include include/uapi/asm-generic/Kbuild.asm
>>>>
>>>>    header-y += a.out.h
>>>> -header-y += auxvec.h
>>>>    header-y += byteorder.h
>>>>    header-y += cachectl.h
>>>>    header-y += fcntl.h
>>>>    header-y += ioctls.h
>>>> -header-y += msgbuf.h
>>>>    header-y += param.h
>>>>    header-y += poll.h
>>>>    header-y += posix_types.h
>>>>    header-y += ptrace.h
>>>> -header-y += sembuf.h
>>>>    header-y += setup.h
>>>> -header-y += shmbuf.h
>>>>    header-y += sigcontext.h
>>>>    header-y += signal.h
>>>> -header-y += socket.h
>>>> -header-y += sockios.h
>>>>    header-y += stat.h
>>>>    header-y += swab.h
>>>> -header-y += termbits.h
>>>> -header-y += termios.h
>>>>    header-y += unistd.h
>>>> --
>>>> 1.7.10.280.gaa39
>
> Gr{oetje,eeting}s,
>
>                          Geert
>
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
>
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                  -- Linus Torvalds
>
>
>

-- 
------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear Group, McAfee                      PHONE:       +61 7 3435 2888
8 Gardner Close,                            FAX:         +61 7 3891 3630
Milton, QLD, 4064, Australia                WEB: http://www.SnapGear.com